Bug 62528 - Mount NFS and NIS are ordered incorrectly
Mount NFS and NIS are ordered incorrectly
Status: CLOSED WONTFIX
Product: Red Hat Public Beta
Classification: Retired
Component: net-tools (Show other bugs)
skipjack-beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-01 23:45 EST by Brian Thompson
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-01 23:45:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Thompson 2002-04-01 23:45:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Basically if you try to mount NFS shares via /etc/fstab on boot, if the client 
is setup to resolve host names through NIS, netfs is mounted before ypbind is, 
so you need to fix the ordering of this to mount netfs after ypbind, even if 
it is only done so if nssswitch.conf specifies nis as the first for hosts

make sense?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.change /etc/nsswitch.conf to hosts: nis dns files
2. restart computer
3. watch it boot
	

Actual Results:  fails to mount nfs shares because it doesn't know the host 
names

Expected Results:  resolv host names through nis (ypbind first), then mount 
nfs shares 

i changed S25netfs to S29netfs in rc3.d and rc5.d, this fixed the problem =)

Additional info:

not sure if i picked the right "component" to complain about..sorry guys, im 
sure you can fix this too!
Comment 1 Phil Knirsch 2002-04-02 10:52:49 EST
Wellll, the rabbit hole goes a little deeper here:

Unfortunaltely ypwhich resides in /usr, which requires netfs to be started
before it (as /usr might be read only mounted via NFS), so this basically
creates a loop.

It would be possible if everything from yp would resided in / (nothing in /usr),
but i am not sure if that is feasible soon.

My personal advice would be to either put those hosts in DNS or in /etc/hosts
and use that for hostname resolving.

Read ya, Phil
Comment 2 Brian Thompson 2002-04-02 11:07:12 EST
yeah, that makes sense...my fix works so far...but, i just wanted to let you 
guys know about it...unfortunately my setup is too large to use /etc/hosts

thanks though!

Note You need to log in before you can comment on or make changes to this bug.